Hatena::ブログ(Diary)

ARCHIVESDRIVE HD

2011-11-11

Ruby 1.9.3 を導入するにあたってソースからビルドする人が気をつける事とはいったい…?!

| 18:42

conifgure とか書いちゃうタイプの僕です。

普段 RVM しか使わなくなってしまい、本番サーバも用意することがめっきりなくなったので忘れていましたが、Ruby 1.9.3 がリリースされていたので、RVM にインストールするのとあわせて、gitlab 用に一台立てた所、警告がでるようになってしまいました。

It seems your ruby installation is missing psych (for YAML output). To eliminate this warning, please install libyaml and reinstall your ruby.

放置しても解決することではないので、指示の通り libyaml を導入して片付けてしまいましょう。

no title

# wget http://pyyaml.org/download/libyaml/yaml-0.1.4.tar.gz
# tar -zxvf yaml-0.1.4.tar.gz
# cd yaml-0.1.4
# ./configure
# make;make install

これで、あとは ruby を configure;make;make install するだけです。お疲れ様!

参考にさせてもらいますた

[ruby][centos] Ruby 1.9.3 を CentOS に素でインストールする時に気をつけること - koziyの日記

no title

リンク元